Skip to main content
GET
/
api
/
v2
/
storefront
/
store
Return the current Store
const options = {method: 'GET'};

fetch('https://demo.spreecommerce.org/api/v2/storefront/store', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{ "data": { "id": "3", "type": "store", "attributes": { "name": "Mystore", "url": "spree-demo.com", "meta_description": "Luxury clothing store for men and women.", "meta_keywords": "luxury clothing men women", "seo_title": "", "default_currency": "USD", "default": true, "supported_currencies": "EUR,GBP,USD", "facebook": "https://www.facebook.com/mystorename", "twitter": "https://twitter.com/mystorename", "instagram": "https://instagram.com/mystorename", "default_locale": "en", "customer_support_email": "support@mystore.com", "description": "Mystore has been selling luxury clothing for more than 20 years and has 15 stores currently.", "address": "813 Howard Street, Oswego NY 13126, USA", "contact_phone": "+123456789", "supported_locales": "en", "favicon_path": "/assets/favicon.ico" }, "relationships": { "default_country": { "data": { "id": "2", "type": "country" } } } } }

Documentation Index

Fetch the complete documentation index at: https://spreecommerce.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

include
string

Specify what related resources (relationships) you would like to receive in the response body. Eg.

default_country

More information

fields[store]
string

Specify the fields you would like returned in the response body. More information.

Response

200 Success - Returns the store object.

data
Store · object
required

Stores are the center of the Spree ecosystem. Each Spree installation can have multiple Stores. Each Store operates on a different domain or subdomain.

included
Store Includes · object[]